Bug 175228 - lease broken - owner pid = 953
lease broken - owner pid = 953
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 16:47 EST by Need Real Name
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-29 01:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-12-07 16:47:27 EST
Runnin Fedora 4 with kernel-2.6.14-1.1644_FC4 I often get this kernel message:
lease broken - owner pid = 953
lease broken - owner pid = 31496
Dec  6 20:08:03 m kernel: lease broken - owner pid = 953
Dec  6 20:13:53 m kernel: lease broken - owner pid = 31496

Both processes are smbd

# ps 953 31496
  PID TTY      STAT   TIME COMMAND
31496 ?        S      0:30 smbd -D
  953 ?        S      0:01 smbd -D

This is common problem seen by many other people since kernel 2.4
http://www.linuxquestions.org/questions/showthread.php?t=233464
http://linux-nfs.org/pipermail/nfsv4/2005-June/002085.html
http://lists.suse.com/archive/suse-slstd-e/2004-Nov/0022.html

search in google on 
"lease broken - owner pid" linux

See also http://linux.derkeiler.com/Mailing-Lists/Fedora/2004-09/3896.html
they attribute this to samba
quote:
>Since I added the line "kernel oplocks = false" in my
>/etc/samba/smb.conf file, these messages dissappeared.
Comment 1 Need Real Name 2005-12-07 16:59:50 EST
See also this samba bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=106476
Comment 2 Dave Jones 2005-12-20 00:04:38 EST
can you check if this is fixed in 1653 ?
Comment 3 Need Real Name 2005-12-20 04:58:17 EST
I will try to test, but this is not simple task because the server is running in
the 24/365 production environment.
For now I just disabled all oplocks in smb.conf ( kernel oplocks =false)
Comment 4 Dave Jones 2005-12-23 22:06:55 EST
ok, I'll leave this in NEEDINFO until you have further info.
Comment 5 Dave Jones 2006-02-03 01:16:29 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Dave Jones 2006-07-29 01:50:58 EDT
Closing due to >6 months of inactivity.

Note You need to log in before you can comment on or make changes to this bug.